# esp32_BNO08x: test/InitDenitTests.cpp File Reference

Loading...
Searching...
No Matches
InitDenitTests.cpp File Reference
`#include "unity.h"`
`#include "../include/BNO08xTestHelper.hpp"`
Include dependency graph for InitDenitTests.cpp:

## Functions

| TEST_CASE ("InitComprehensive Config Args", "[InitComprehensive]")
| TEST_CASE ("InitComprehensive GPIO", "[InitComprehensive]")
| TEST_CASE ("InitComprehensive HINT ISR", "[InitComprehensive]")
| TEST_CASE ("InitComprehensive SPI", "[InitComprehensive]")
| TEST_CASE ("InitComprehensive sh2 HAL", "[InitComprehensive]")
| TEST_CASE ("InitComprehensive Tasks", "[InitComprehensive]")
| TEST_CASE ("DeinitComprehensive Tasks", "[DeinitComprehensive]")
| TEST_CASE ("DeinitComprehensive sh2 HAL", "[DeinitComprehensive]")
| TEST_CASE ("DeinitComprehensive HINT ISR", "[DeinitComprehensive]")
| TEST_CASE ("DeinitComprehensive SPI", "[DeinitComprehensive]")
| TEST_CASE ("DeinitComprehensive GPIO", "[DeinitComprehensive]")
| TEST_CASE ("Init and Deinit", "[InitDenit]")

## Detailed Description

Author
  Myles Parfeniuk

Warning
  YOU MUST ADD THE FOLLOWING LINE TO YOUR MAIN PROJECTS CMakeLists.txt IN ORDER FOR THIS TEST SUITE TO BE BUILT WITH PROJECT: set(TEST_COMPONENTS "esp32_BNO08x" CACHE STRING "Components to test.")

## Function Documentation

## TEST_CASE() [1/12]

TEST_CASE | ( | "DeinitComprehensive GPIO" | ,
|  | "" | [DeinitComprehensive] )

Here is the call graph for this function:

## TEST_CASE() [2/12]

TEST_CASE | ( | "DeinitComprehensive HINT ISR" | ,
|  | "" | [DeinitComprehensive] )

Here is the call graph for this function:

## TEST_CASE() [3/12]

TEST_CASE | ( | "DeinitComprehensive sh2 HAL" | ,
|  | "" | [DeinitComprehensive] )

Here is the call graph for this function:

## TEST_CASE() [4/12]

TEST_CASE | ( | "DeinitComprehensive SPI" | ,
|  | "" | [DeinitComprehensive] )

Here is the call graph for this function:

## TEST_CASE() [5/12]

TEST_CASE | ( | "DeinitComprehensive Tasks" | ,
|  | "" | [DeinitComprehensive] )

Here is the call graph for this function:

## TEST_CASE() [6/12]

TEST_CASE | ( | "Init and Deinit" | ,
|  | "" | [InitDenit] )

Here is the call graph for this function:

## TEST_CASE() [7/12]

TEST_CASE | ( | "InitComprehensive Config Args" | ,
|  | "" | [InitComprehensive] )

Here is the call graph for this function:

## TEST_CASE() [8/12]

TEST_CASE | ( | "InitComprehensive GPIO" | ,
|  | "" | [InitComprehensive] )

Here is the call graph for this function:

## TEST_CASE() [9/12]

TEST_CASE | ( | "InitComprehensive HINT ISR" | ,
|  | "" | [InitComprehensive] )

Here is the call graph for this function:

## TEST_CASE() [10/12]

TEST_CASE | ( | "InitComprehensive sh2 HAL" | ,
|  | "" | [InitComprehensive] )

Here is the call graph for this function:

## TEST_CASE() [11/12]

TEST_CASE | ( | "InitComprehensive SPI" | ,
|  | "" | [InitComprehensive] )

Here is the call graph for this function:

## TEST_CASE() [12/12]

TEST_CASE | ( | "InitComprehensive Tasks" | ,
|  | "" | [InitComprehensive] )

Here is the call graph for this function: